Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class AmbParamTypeOrAccess_c

    java.lang.Object
      polyglot.ext.jl.ast.Node_c
          jif.ast.AmbParamTypeOrAccess_c

All Implemented Interfaces:
  java.lang.Cloneable, AmbParamTypeOrAccess, polyglot.ast.Ambiguous, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.Receiver, polyglot.ast.Typed, polyglot.util.Copy

    public class AmbParamTypeOrAccess_c

extends polyglot.ext.jl.ast.Node_c
implements AmbParamTypeOrAccess

An implementation of the `AmbParamTypeOrAccess` interface.

Field Summary
`protected java.lang.Object` | `expr`
`protected polyglot.ast.Receiver` | `prefix`
`protected polyglot.types.Type` | `type`

Fields inherited from class polyglot.ext.jl.ast.Node_c
`del, error, ext, position`

Constructor Summary
`AmbParamTypeOrAccess_c(polyglot.util.Position pos, polyglot.ast.Receiver prefix, java.lang.Object expr)`

Method Summary
`polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)`
`java.lang.Object` | `expr()` Gets the expr.
`boolean` | `isDisambiguated()`
`polyglot.ast.Receiver` | `prefix()` Gets the prefix.
`AmbParamTypeOrAccess` | `prefix(polyglot.ast.Receiver prefix)`
`protected AmbParamTypeOrAccess_c` | `reconstruct(polyglot.ast.Receiver prefix, java.lang.Object expr)`
`java.lang.String` | `toString()`
`polyglot.types.Type` | `type()`
`polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

Methods inherited from class polyglot.ext.jl.ast.Node_c
`addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, del, del, disambiguateEnter, disambiguateOverride, dump, dump, dump, enterChildScope, enterScope, error, error, exceptionCheck, exceptionCheckEnter, ext, ext, ext, ext, init, isTypeChecked, node, position, position, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride`

Methods inherited from interface polyglot.util.Copy
`copy`

Field Detail

### prefix

    protected polyglot.ast.Receiver prefix

### expr

    protected java.lang.Object expr

### type

    protected polyglot.types.Type type

Constructor Detail

### AmbParamTypeOrAccess_c

    public AmbParamTypeOrAccess_c(polyglot.util.Position pos,
                                  polyglot.ast.Receiver prefix,
                                  java.lang.Object expr)

Method Detail

### isDisambiguated

    public boolean isDisambiguated()

  Specified by:
    `isDisambiguated` in interface `polyglot.ast.Node`
  Overrides:
    `isDisambiguated` in class `polyglot.ext.jl.ast.Node_c`

### prefix

    public polyglot.ast.Receiver prefix()

  Description copied from interface: `AmbParamTypeOrAccess`
  Gets the prefix.

  Specified by:
    `prefix` in interface `AmbParamTypeOrAccess`

### prefix

    public AmbParamTypeOrAccess prefix(polyglot.ast.Receiver prefix)

### expr

    public java.lang.Object expr()

  Description copied from interface: `AmbParamTypeOrAccess`
  Gets the expr.

  Specified by:
    `expr` in interface `AmbParamTypeOrAccess`

### type

    public polyglot.types.Type type()

  Specified by:
    `type` in interface `polyglot.ast.Typed`

### reconstruct

    protected AmbParamTypeOrAccess_c reconstruct(polyglot.ast.Receiver prefix,
                                                 java.lang.Object expr)

### visitChildren

    public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

  Specified by:
    `visitChildren` in interface `polyglot.ast.NodeOps`
  Overrides:
    `visitChildren` in class `polyglot.ext.jl.ast.Node_c`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `polyglot.ext.jl.ast.Node_c`

### disambiguate

    public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                   throws polyglot.types.SemanticException

  Specified by:
    `disambiguate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `disambiguate` in class `polyglot.ext.jl.ast.Node_c`
  Throws:
    `polyglot.types.SemanticException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD